Package net.shibboleth.idp.plugin.authn.webauthn.storage

# Interface CredentialRecord.IBuildStage

All Known Implementing Classes:
  `CredentialRecord.Builder`

Enclosing class:
  CredentialRecord

public static interface CredentialRecord.IBuildStage
Optional builder stage.

## Method Summary

Modifier and Type
Method
Description
`CredentialRecord`
`build()`
Build this credential registration.
`CredentialRecord.IBuildStage`
`withAaguid(byte[] aaguid)`
Set the AAGUID of the authenticator that created this credential.
`CredentialRecord.IBuildStage`
`withCredentialNickname(String credentialNickname)`
Set an optional nickname of the credential.
`CredentialRecord.IBuildStage`
`withDiscoverable(Optional<Boolean> discoverable)`
Is the credential a discoverable type (passkey).
`CredentialRecord.IBuildStage`
`withLastUsedTime(Instant time)`
Set the last authenticated time for this credential.
`CredentialRecord.IBuildStage`
`withUserVerified(boolean userVerified)`
Was the user verified during registration?

## Method Details

### withCredentialNickname

@Nonnull CredentialRecord.IBuildStage withCredentialNickname(@Nullable String credentialNickname)
Set an optional nickname of the credential.

Parameters:
  `credentialNickname` - the nickname
Returns:
  the next builder stage

### withDiscoverable

@Nonnull CredentialRecord.IBuildStage withDiscoverable(@Nonnull Optional<Boolean> discoverable)
Is the credential a discoverable type (passkey). Empty if not known.

Parameters:
  `discoverable` - is the credential a discoverable type (passkey). Empty if not known
Returns:
  the next builder stage

### withUserVerified

@Nonnull CredentialRecord.IBuildStage withUserVerified(boolean userVerified)
Was the user verified during registration?

Parameters:
  `userVerified` - was the user verified during registration
Returns:
  the next builder stage

### withAaguid

@Nonnull CredentialRecord.IBuildStage withAaguid(byte[] aaguid)
Set the AAGUID of the authenticator that created this credential.

Parameters:
  `aaguid` - the AAGUID of the authenticator
Returns:
  the next builder stage

### withLastUsedTime

@Nonnull CredentialRecord.IBuildStage withLastUsedTime(Instant time)
Set the last authenticated time for this credential.

Parameters:
  `time` - the time the credential was last used to authenticate.
Returns:
  the next builder stage
Since:
  1.1.0

### build

@Nonnull CredentialRecord build()
Build this credential registration.

Returns:
  a credential registration